<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* themes/solo/templates/navigation/menu--primary-menu.html.twig */
class __TwigTemplate_483d9d344fb240183aaa0c6f63695210 extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 21
        $macros["menus"] = $this->macros["menus"] = $this;
        // line 22
        yield "
";
        // line 23
        $context["svg_bars"] = ('' === $tmp = \Twig\Extension\CoreExtension::captureOutput((function () use (&$context, $macros, $blocks) {
            // line 24
            yield from             $this->loadTemplate("@solo/partials/svg/_svg-bars.html.twig", "themes/solo/templates/navigation/menu--primary-menu.html.twig", 24)->unwrap()->yield($context);
            yield from [];
        })())) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 26
        yield "
";
        // line 30
        yield "
<div class=\"solo-clear solo-menu navigation-responsive navigation-primary-responsive";
        // line 31
        ((($context["click_hover"] ?? null)) ? (yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, (" " . ($context["click_hover"] ?? null)), "html", null, true)) : (yield ""));
        ((($context["align_center"] ?? null)) ? (yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, (" " . ($context["align_center"] ?? null)), "html", null, true)) : (yield ""));
        ((($context["expand_left"] ?? null)) ? (yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, (" " . ($context["expand_left"] ?? null)), "html", null, true)) : (yield ""));
        ((($context["primary_menu_branding"] ?? null)) ? (yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, (" " . ($context["primary_menu_branding"] ?? null)), "html", null, true)) : (yield ""));
        yield "\">

  ";
        // line 33
        if (($context["primary_menu_branding"] ?? null)) {
            // line 34
            yield "  ";
            yield from             $this->loadTemplate("@solo/partials/_menu-branding.html.twig", "themes/solo/templates/navigation/menu--primary-menu.html.twig", 34)->unwrap()->yield($context);
            // line 35
            yield "  ";
        }
        // line 36
        yield "
  <div class=\"mobile-nav hamburger-icon solo-block\">
    <button class=\"solo-button-menu mobile-menubar-toggler-button\" data-drupal-selector=\"mobile-menubar-toggler-button\" tabindex='-1' aria-label=\"";
        // line 38
        yield t("Open or Close horizontal Main Menu");
        yield "\" aria-expanded=\"false\">
      <span>
        ";
        // line 40
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar($this->sandbox->ensureToStringAllowed(($context["svg_bars"] ?? null), 40, $this->source));
        yield "
      </span>
      <span class=\"visually-hidden\">";
        // line 42
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Open or Close horizontal Main Menu"));
        yield "</span>
    </button>
  </div>
";
        // line 45
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(CoreExtension::callMacro($macros["menus"], "macro_menu_links", [($context["items"] ?? null), ($context["attributes"] ?? null), 0, ($context["menu_name"] ?? null), ($context["aria_id"] ?? null), ($context["megamenu"] ?? null), ($context["megamenu_layout"] ?? null), ($context["sub_mega"] ?? null), ($context["sub_menu_header"] ?? null)], 45, $context, $this->getSourceContext()));
        yield "
</div>

";
        // line 183
        yield "
";
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["_self", "click_hover", "align_center", "expand_left", "primary_menu_branding", "items", "attributes", "menu_name", "aria_id", "megamenu", "megamenu_layout", "sub_mega", "sub_menu_header", "loop"]);        yield from [];
    }

    // line 27
    public function macro_svg_icon($__icon_value__ = null, ...$__varargs__)
    {
        $macros = $this->macros;
        $context = [
            "icon_value" => $__icon_value__,
            "varargs" => $__varargs__,
        ] + $this->env->getGlobals();

        $blocks = [];

        return ('' === $tmp = \Twig\Extension\CoreExtension::captureOutput((function () use (&$context, $macros, $blocks) {
            // line 28
            yield from             $this->loadTemplate("@solo/partials/svg/_svg-menu-arrow.html.twig", "themes/solo/templates/navigation/menu--primary-menu.html.twig", 28)->unwrap()->yield($context);
            yield from [];
        })())) ? '' : new Markup($tmp, $this->env->getCharset());
    }

    // line 48
    public function macro_menu_links($__items__ = null, $__attributes__ = null, $__menu_level__ = null, $__menu_name__ = null, $__aria_id__ = null, $__megamenu__ = null, $__megamenu_layout__ = null, $__sub_mega__ = null, $__sub_menu_header__ = null, ...$__varargs__)
    {
        $macros = $this->macros;
        $context = [
            "items" => $__items__,
            "attributes" => $__attributes__,
            "menu_level" => $__menu_level__,
            "menu_name" => $__menu_name__,
            "aria_id" => $__aria_id__,
            "megamenu" => $__megamenu__,
            "megamenu_layout" => $__megamenu_layout__,
            "sub_mega" => $__sub_mega__,
            "sub_menu_header" => $__sub_menu_header__,
            "varargs" => $__varargs__,
        ] + $this->env->getGlobals();

        $blocks = [];

        return ('' === $tmp = \Twig\Extension\CoreExtension::captureOutput((function () use (&$context, $macros, $blocks) {
            // line 49
            yield "
";
            // line 50
            $context["menu_level"] = (($context["menu_level"] ?? null) + 1);
            // line 51
            yield "
";
            // line 52
            $context["menu_classes"] = ["navigation__menubar", "navigation__responsive", "navigation__primary", \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(            // line 56
($context["megamenu"] ?? null), 56, $this->source)), \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(            // line 57
($context["megamenu_layout"] ?? null), 57, $this->source)), ("navigation__menubar-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(            // line 58
($context["menu_name"] ?? null), 58, $this->source)))];
            // line 61
            yield "
";
            // line 62
            $context["submenu_classes"] = [("sub__menu sub__menu-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(            // line 63
($context["menu_name"] ?? null), 63, $this->source))), \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(            // line 64
($context["sub_mega"] ?? null), 64, $this->source)), \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(            // line 65
($context["sub_menu_header"] ?? null), 65, $this->source))];
            // line 68
            yield "
";
            // line 69
            $context["menubar_attributes"] = $this->extensions['Drupal\Core\Template\TwigExtension']->createAttribute(["id" => ($this->sandbox->ensureToStringAllowed(            // line 70
($context["menu_name"] ?? null), 70, $this->source) . \Drupal\Component\Utility\Html::getUniqueId("__menubar")), "role" => "menubar"]);
            // line 73
            yield "
";
            // line 74
            $context["submenu_attributes"] = $this->extensions['Drupal\Core\Template\TwigExtension']->createAttribute(["id" => ($this->sandbox->ensureToStringAllowed(            // line 75
($context["menu_name"] ?? null), 75, $this->source) . \Drupal\Component\Utility\Html::getUniqueId("__submenu")), "role" => "menu", "tabindex" => "-1", "aria-hidden" => "true"]);
            // line 80
            yield "
";
            // line 81
            if (($context["items"] ?? null)) {
                // line 82
                yield "
  ";
                // line 83
                if ((($context["menu_level"] ?? null) == 1)) {
                    // line 84
                    yield "  <ul";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["attributes"] ?? null), "addClass", [($context["menu_classes"] ?? null)], "method", false, false, true, 84), "removeAttribute", ["region"], "method", false, false, true, 84), 84, $this->source), "html", null, true);
                    yield " ";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["menubar_attributes"] ?? null), 84, $this->source), "html", null, true);
                    yield ">
  ";
                } else {
                    // line 86
                    yield "  <ul";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["attributes"] ?? null), "removeClass", [($context["menu_classes"] ?? null)], "method", false, false, true, 86), "addClass", [($context["submenu_classes"] ?? null)], "method", false, false, true, 86), 86, $this->source), "html", null, true);
                    yield " ";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["submenu_attributes"] ?? null), 86, $this->source), "html", null, true);
                    yield ">
  ";
                }
                // line 88
                yield "
    ";
                // line 90
                yield "    ";
                $context['_parent'] = $context;
                $context['_seq'] = CoreExtension::ensureTraversable(($context["items"] ?? null));
                $context['loop'] = [
                  'parent' => $context['_parent'],
                  'index0' => 0,
                  'index'  => 1,
                  'first'  => true,
                ];
                if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
                    $length = count($context['_seq']);
                    $context['loop']['revindex0'] = $length - 1;
                    $context['loop']['revindex'] = $length;
                    $context['loop']['length'] = $length;
                    $context['loop']['last'] = 1 === $length;
                }
                foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
                    // line 91
                    yield "
    ";
                    // line 93
                    yield "    ";
                    $context["system_path"] = ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 93), "isRouted", [], "method", false, false, true, 93)) ? (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 93), "getInternalPath", [], "method", false, false, true, 93)) : (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 93), "toString", [], "method", false, false, true, 93)));
                    // line 94
                    yield "    ";
                    if ((($context["system_path"] ?? null) == "")) {
                        // line 95
                        yield "      ";
                        $context["system_path"] = "<front>";
                        // line 96
                        yield "    ";
                    }
                    // line 97
                    yield "
    ";
                    // line 98
                    $macros["macros"] = $this;
                    // line 99
                    yield "    ";
                    $context["aria_id"] = \Drupal\Component\Utility\Html::getUniqueId((($this->sandbox->ensureToStringAllowed(($context["menu_name"] ?? null), 99, $this->source) . "-sub__menu-") . $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["loop"], "index", [], "any", false, false, true, 99), 99, $this->source)));
                    // line 100
                    yield "    ";
                    $context["dropdown_toggler_class"] = (((($context["menu_level"] ?? null) == 1)) ? ("dropdown-toggler-parent") : ("dropdown-toggler-child"));
                    // line 101
                    yield "    ";
                    $context["rendered_url"] = $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar($this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 101), 101, $this->source));
                    // line 102
                    yield "
    ";
                    // line 103
                    $context["item_classes"] = [("btn-animate nav__menu-item nav__menu-item-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(                    // line 104
($context["menu_name"] ?? null), 104, $this->source))), (((                    // line 105
$context["item"] && (($context["menu_level"] ?? null) == 1))) ? ("nav__menubar-item") : ("")), (((                    // line 106
$context["item"] && (($context["menu_level"] ?? null) > 1))) ? ("nav__submenu-item") : ("")), ((CoreExtension::getAttribute($this->env, $this->source,                     // line 107
$context["item"], "is_expanded", [], "any", false, false, true, 107)) ? ("has-sub__menu") : ("")), (((CoreExtension::getAttribute($this->env, $this->source,                     // line 108
$context["item"], "is_expanded", [], "any", false, false, true, 108) && ((is_string($__internal_compile_0 = ($context["rendered_url"] ?? null)) && is_string($__internal_compile_1 = "/") && str_starts_with($__internal_compile_0, $__internal_compile_1)) || (is_string($__internal_compile_2 = ($context["rendered_url"] ?? null)) && is_string($__internal_compile_3 = "http") && str_starts_with($__internal_compile_2, $__internal_compile_3))))) ? ("link-and-button") : ("")), (((CoreExtension::getAttribute($this->env, $this->source,                     // line 109
$context["item"], "is_expanded", [], "any", false, false, true, 109) &&  !((is_string($__internal_compile_4 = ($context["rendered_url"] ?? null)) && is_string($__internal_compile_5 = "/") && str_starts_with($__internal_compile_4, $__internal_compile_5)) || (is_string($__internal_compile_6 = ($context["rendered_url"] ?? null)) && is_string($__internal_compile_7 = "http") && str_starts_with($__internal_compile_6, $__internal_compile_7))))) ? ("button-only") : ("")), (( !CoreExtension::getAttribute($this->env, $this->source,                     // line 110
$context["item"], "is_expanded", [], "any", false, false, true, 110)) ? ("link-only") : ("")), ((CoreExtension::getAttribute($this->env, $this->source,                     // line 111
$context["item"], "in_active_trail", [], "any", false, false, true, 111)) ? ("is-active") : (""))];
                    // line 114
                    yield "
    ";
                    // line 115
                    $context["dorpdown_toggler_attributes"] = $this->extensions['Drupal\Core\Template\TwigExtension']->createAttribute(["data-drupal-selector" =>                     // line 116
($context["aria_id"] ?? null), "role" => "menuitem", "aria-controls" =>                     // line 118
($context["aria_id"] ?? null), "aria-haspopup" => "true", "aria-expanded" => "false", "tabindex" => "-1"]);
                    // line 123
                    yield "
    ";
                    // line 125
                    yield "    ";
                    $context["additional_classes"] = ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, true, true, 125), "getOption", ["attributes"], "method", false, true, true, 125), "class", [], "any", true, true, true, 125)) ? (Twig\Extension\CoreExtension::default($this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, true, true, 125), "getOption", ["attributes"], "method", false, true, true, 125), "class", [], "any", false, false, true, 125), 125, $this->source), "")) : (""));
                    // line 126
                    yield "    ";
                    $context["class_list"] = ((is_iterable(($context["additional_classes"] ?? null))) ? (Twig\Extension\CoreExtension::join($this->sandbox->ensureToStringAllowed(($context["additional_classes"] ?? null), 126, $this->source), " ")) : (($context["additional_classes"] ?? null)));
                    // line 127
                    yield "
    ";
                    // line 129
                    yield "    ";
                    if (CoreExtension::getAttribute($this->env, $this->source, $context["item"], "is_expanded", [], "any", false, false, true, 129)) {
                        // line 130
                        yield "    <li";
                        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "attributes", [], "any", false, false, true, 130), "addClass", [($context["item_classes"] ?? null)], "method", false, false, true, 130), 130, $this->source), "html", null, true);
                        yield " role='none'>
    ";
                        // line 131
                        if (((is_string($__internal_compile_8 = ($context["rendered_url"] ?? null)) && is_string($__internal_compile_9 = "/") && str_starts_with($__internal_compile_8, $__internal_compile_9)) || (is_string($__internal_compile_10 = ($context["rendered_url"] ?? null)) && is_string($__internal_compile_11 = "http") && str_starts_with($__internal_compile_10, $__internal_compile_11)))) {
                            // line 132
                            yield "        ";
                            // line 133
                            yield "        ";
                            $context["c_link_classes"] = [("nav__menu-link nav__menu-link-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(($context["menu_name"] ?? null), 133, $this->source))), "url-added"];
                            // line 134
                            yield "        ";
                            if (($context["class_list"] ?? null)) {
                                // line 135
                                yield "            ";
                                $context["c_link_classes"] = Twig\Extension\CoreExtension::merge($this->sandbox->ensureToStringAllowed(($context["c_link_classes"] ?? null), 135, $this->source), [($context["class_list"] ?? null)]);
                                // line 136
                                yield "        ";
                            }
                            // line 137
                            yield "        <a href=\"";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 137), 137, $this->source), "html", null, true);
                            yield "\" class=\"";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, Twig\Extension\CoreExtension::join($this->sandbox->ensureToStringAllowed(($context["c_link_classes"] ?? null), 137, $this->source), " "), "html", null, true);
                            yield "\"";
                            // line 138
                            if (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 138), "getOption", ["attributes"], "method", false, false, true, 138), "title", [], "any", false, false, true, 138)) {
                                yield " title=\"";
                                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 138), "getOption", ["attributes"], "method", false, false, true, 138), "title", [], "any", false, false, true, 138), 138, $this->source), "html", null, true);
                                yield "\" ";
                            }
                            // line 139
                            if (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 139), "getOption", ["attributes"], "method", false, false, true, 139), "target", [], "any", false, false, true, 139)) {
                                yield " target=\"";
                                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 139), "getOption", ["attributes"], "method", false, false, true, 139), "target", [], "any", false, false, true, 139), 139, $this->source), "html", null, true);
                                yield "\" ";
                            }
                            // line 140
                            if (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 140), "getOption", ["attributes"], "method", false, false, true, 140), "rel", [], "any", false, false, true, 140)) {
                                yield " rel=\"";
                                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 140), "getOption", ["attributes"], "method", false, false, true, 140), "rel", [], "any", false, false, true, 140), 140, $this->source), "html", null, true);
                                yield "\" ";
                            }
                            // line 141
                            yield "tabindex=\"-1\" data-drupal-link-system-path=\"";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["system_path"] ?? null), 141, $this->source), "html", null, true);
                            yield "\" role='menuitem'>
            <span class=\"menu__url-title-enabled\">";
                            // line 142
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["item"], "title", [], "any", false, false, true, 142), 142, $this->source), "html", null, true);
                            yield "</span>
        </a>
        <button class=\"en-link dropdown-toggler ";
                            // line 144
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["dropdown_toggler_class"] ?? null), 144, $this->source), "html", null, true);
                            yield "\" ";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["dorpdown_toggler_attributes"] ?? null), 144, $this->source), "html", null, true);
                            yield ">
            <span class=\"visually-hidden\">";
                            // line 145
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("@title sub-navigation", ["@title" => CoreExtension::getAttribute($this->env, $this->source, $context["item"], "title", [], "any", false, false, true, 145)]));
                            yield "</span>
            <span class=\"toggler-icon dropdown-arrow\">";
                            // line 146
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(CoreExtension::callMacro($macros["macros"], "macro_svg_icon", ["M6 9l6 6 6-6"], 146, $context, $this->getSourceContext()));
                            yield "</span>
        </button>
    ";
                        } else {
                            // line 149
                            yield "        ";
                            // line 150
                            yield "        <button class=\"ds-link dropdown-toggler ";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["dropdown_toggler_class"] ?? null), 150, $this->source), "html", null, true);
                            yield " ";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["class_list"] ?? null), 150, $this->source), "html", null, true);
                            yield "\" ";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["dorpdown_toggler_attributes"] ?? null), 150, $this->source), "html", null, true);
                            // line 151
                            if (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 151), "getOption", ["attributes"], "method", false, false, true, 151), "title", [], "any", false, false, true, 151)) {
                                yield " title=\"";
                                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, true, 151), "getOption", ["attributes"], "method", false, false, true, 151), "title", [], "any", false, false, true, 151), 151, $this->source), "html", null, true);
                                yield "\" ";
                            }
                            yield ">
            <span class=\"menu__url-title-disabled\">";
                            // line 152
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["item"], "title", [], "any", false, false, true, 152), 152, $this->source), "html", null, true);
                            yield "</span>
            <span class=\"visually-hidden\">";
                            // line 153
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("@title sub-navigation", ["@title" => CoreExtension::getAttribute($this->env, $this->source, $context["item"], "title", [], "any", false, false, true, 153)]));
                            yield "</span>
            <span class=\"toggler-icon dropdown-arrow\">";
                            // line 154
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(CoreExtension::callMacro($macros["macros"], "macro_svg_icon", ["M6 9l6 6 6-6"], 154, $context, $this->getSourceContext()));
                            yield "</span>
        </button>
    ";
                        }
                        // line 157
                        yield "
    ";
                    } else {
                        // line 158
                        yield " ";
                        // line 159
                        yield "      ";
                        $context["link_classes"] = [("nav__menu-link nav__menu-link-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(                        // line 160
($context["menu_name"] ?? null), 160, $this->source)))];
                        // line 163
                        yield "      ";
                        $context["link_title"] = ('' === $tmp = \Twig\Extension\CoreExtension::captureOutput((function () use (&$context, $macros, $blocks) {
                            // line 164
                            yield "        <span class=\"menu__url-title\">";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["item"], "title", [], "any", false, false, true, 164), 164, $this->source), "html", null, true);
                            yield "</span>
      ";
                            yield from [];
                        })())) ? '' : new Markup($tmp, $this->env->getCharset());
                        // line 166
                        yield "    <li";
                        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "attributes", [], "any", false, false, true, 166), "addClass", [($context["item_classes"] ?? null)], "method", false, false, true, 166), 166, $this->source), "html", null, true);
                        yield " role='none'>
        ";
                        // line 167
                        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->getLink($this->sandbox->ensureToStringAllowed(                        // line 168
($context["link_title"] ?? null), 168, $this->source), $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source,                         // line 169
$context["item"], "url", [], "any", false, false, true, 169), 169, $this->source), $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source,                         // line 170
$context["item"], "attributes", [], "any", false, false, true, 170), "removeClass", [($context["item_classes"] ?? null)], "method", false, false, true, 170), "addClass", [($context["link_classes"] ?? null)], "method", false, false, true, 170), 170, $this->source), $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source,                         // line 171
$context["item"], "attributes", [], "any", false, false, true, 171), "setAttribute", ["role", "menuitem"], "method", false, false, true, 171), "setAttribute", ["tabindex", "-1"], "method", false, false, true, 171), 171, $this->source)), "html", null, true);
                        yield "
    ";
                    }
                    // line 173
                    yield "
    ";
                    // line 174
                    if (CoreExtension::getAttribute($this->env, $this->source, $context["item"], "below", [], "any", false, false, true, 174)) {
                        // line 175
                        yield "      ";
                        $context["attributes"] = CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["attributes"] ?? null), "setAttribute", ["id", ($context["aria_id"] ?? null)], "method", false, false, true, 175), "setAttribute", ["tabindex", "-1"], "method", false, false, true, 175);
                        // line 176
                        yield "      ";
                        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(CoreExtension::callMacro($macros["menus"], "macro_menu_links", [CoreExtension::getAttribute($this->env, $this->source, $context["item"], "below", [], "any", false, false, true, 176), ($context["attributes"] ?? null), ($context["menu_level"] ?? null), ($context["menu_name"] ?? null), ($context["aria_id"] ?? null), ($context["megamenu"] ?? null), ($context["megamenu_layout"] ?? null), ($context["sub_mega"] ?? null), ($context["sub_menu_header"] ?? null)], 176, $context, $this->getSourceContext()));
                        yield "
    ";
                    }
                    // line 178
                    yield "    </li>
    ";
                    ++$context['loop']['index0'];
                    ++$context['loop']['index'];
                    $context['loop']['first'] = false;
                    if (isset($context['loop']['revindex0'], $context['loop']['revindex'])) {
                        --$context['loop']['revindex0'];
                        --$context['loop']['revindex'];
                        $context['loop']['last'] = 0 === $context['loop']['revindex0'];
                    }
                }
                $_parent = $context['_parent'];
                unset($context['_seq'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
                $context = array_intersect_key($context, $_parent) + $_parent;
                // line 180
                yield "  </ul>
";
            }
            // line 181
            yield " ";
            yield from [];
        })())) ? '' : new Markup($tmp, $this->env->getCharset());
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "themes/solo/templates/navigation/menu--primary-menu.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  461 => 181,  457 => 180,  442 => 178,  436 => 176,  433 => 175,  431 => 174,  428 => 173,  423 => 171,  422 => 170,  421 => 169,  420 => 168,  419 => 167,  414 => 166,  407 => 164,  404 => 163,  402 => 160,  400 => 159,  398 => 158,  394 => 157,  388 => 154,  384 => 153,  380 => 152,  372 => 151,  365 => 150,  363 => 149,  357 => 146,  353 => 145,  347 => 144,  342 => 142,  337 => 141,  331 => 140,  325 => 139,  319 => 138,  313 => 137,  310 => 136,  307 => 135,  304 => 134,  301 => 133,  299 => 132,  297 => 131,  292 => 130,  289 => 129,  286 => 127,  283 => 126,  280 => 125,  277 => 123,  275 => 118,  274 => 116,  273 => 115,  270 => 114,  268 => 111,  267 => 110,  266 => 109,  265 => 108,  264 => 107,  263 => 106,  262 => 105,  261 => 104,  260 => 103,  257 => 102,  254 => 101,  251 => 100,  248 => 99,  246 => 98,  243 => 97,  240 => 96,  237 => 95,  234 => 94,  231 => 93,  228 => 91,  210 => 90,  207 => 88,  199 => 86,  191 => 84,  189 => 83,  186 => 82,  184 => 81,  181 => 80,  179 => 75,  178 => 74,  175 => 73,  173 => 70,  172 => 69,  169 => 68,  167 => 65,  166 => 64,  165 => 63,  164 => 62,  161 => 61,  159 => 58,  158 => 57,  157 => 56,  156 => 52,  153 => 51,  151 => 50,  148 => 49,  128 => 48,  122 => 28,  110 => 27,  103 => 183,  97 => 45,  91 => 42,  86 => 40,  81 => 38,  77 => 36,  74 => 35,  71 => 34,  69 => 33,  61 => 31,  58 => 30,  55 => 26,  51 => 24,  49 => 23,  46 => 22,  44 => 21,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "themes/solo/templates/navigation/menu--primary-menu.html.twig", "/home/tcvd/public_html/drupaldev/themes/solo/templates/navigation/menu--primary-menu.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("import" => 21, "set" => 23, "include" => 24, "macro" => 27, "if" => 33, "for" => 90);
        static $filters = array("escape" => 31, "t" => 38, "raw" => 40, "clean_class" => 56, "clean_unique_id" => 70, "render" => 101, "default" => 125, "join" => 126, "merge" => 135);
        static $functions = array("create_attribute" => 69, "link" => 167);

        try {
            $this->sandbox->checkSecurity(
                ['import', 'set', 'include', 'macro', 'if', 'for'],
                ['escape', 't', 'raw', 'clean_class', 'clean_unique_id', 'render', 'default', 'join', 'merge'],
                ['create_attribute', 'link'],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
